Loading...
Searching...
No Matches
QwtPixelMatrix Class Reference

A bit field corresponding to the pixels of a rectangle. More...

`#include <qwt_pixel_matrix.h>`

Inheritance diagram for QwtPixelMatrix:

## Public Member Functions

| QwtPixelMatrix (const QRect &rect)
| Constructor.
| ~QwtPixelMatrix ()
| Destructor.
void | setRect (const QRect &rect)
QRect | rect () const
bool | testPixel (int x, int y) const
| Test if a pixel has been set.
bool | testAndSetPixel (int x, int y, bool on)
| Set a pixel and test if a pixel has been set before.

## Public Attributes

int | const

## Detailed Description

A bit field corresponding to the pixels of a rectangle.

QwtPixelMatrix is intended to filter out duplicates in an unsorted array of points.

Definition at line 24 of file qwt_pixel_matrix.h.

## Constructor & Destructor Documentation

## QwtPixelMatrix()

QwtPixelMatrix::QwtPixelMatrix | ( | const QRect & | rect | ) |

explicit

Constructor.

Parameters

  rect | Bounding rectangle for the matrix

Definition at line 17 of file qwt_pixel_matrix.cpp.

## ~QwtPixelMatrix()

QwtPixelMatrix::~QwtPixelMatrix | ( |  | ) |

Destructor.

Definition at line 24 of file qwt_pixel_matrix.cpp.

## Member Function Documentation

## rect()

QRect QwtPixelMatrix::rect | ( |  | ) | const

Returns
  Bounding rectangle

Definition at line 48 of file qwt_pixel_matrix.cpp.

## setRect()

void QwtPixelMatrix::setRect | ( | const QRect & | rect | ) |

Set the bounding rectangle of the matrix

Parameters

  rect | Bounding rectangle

Note
  All bits are cleared

Definition at line 35 of file qwt_pixel_matrix.cpp.

## testAndSetPixel()

bool QwtPixelMatrix::testAndSetPixel | ( | int | x,
|  | int | y,
|  | bool | on )

inline

Set a pixel and test if a pixel has been set before.

Parameters

  x | X-coordinate
  y | Y-coordinate
  on | Set/Clear the pixel

Returns
  true, when pos is outside of rect(), or when the pixel was set before.

Definition at line 67 of file qwt_pixel_matrix.h.

## testPixel()

bool QwtPixelMatrix::testPixel | ( | int | x,
|  | int | y ) const

inline

Test if a pixel has been set.

Parameters

  x | X-coordinate
  y | Y-coordinate

Returns
  true, when pos is outside of rect(), or when the pixel has already been set.

Definition at line 51 of file qwt_pixel_matrix.h.

## Member Data Documentation

## const

int QwtPixelMatrix::const

Definition at line 36 of file qwt_pixel_matrix.h.